Strict Standards message in PHP 5.4 and DEBUG mode

After activating MarketPress eCommerce on a site on Nginx with PHP-FPM 5.4 in DEBUG mode, I get a Strict Standards message:

Strict Standards: Declaration of MP_Gateway_PIN::order_confirmation_email() should be compatible with MP_Gateway_API::order_confirmation_email($msg, $order) in /var/www/default/wp-content/plugins/marketpress/marketpress-includes/plugins-gateway/pin.php on line 485 Strict Standards: Declaration of MP_Gateway_Simplify::order_confirmation_email() should be compatible with MP_Gateway_API::order_confirmation_email($msg, $order) in /var/www/default/wp-content/plugins/marketpress/marketpress-includes/plugins-gateway/simplify.php on line 379

which after that changes to

Strict Standards: Declaration of MP_Gateway_PIN::order_confirmation_email() should be compatible with MP_Gateway_API::order_confirmation_email($msg, $order) in /var/www/default/wp-content/plugins/marketpress/marketpress.php on line 493 Strict Standards: Declaration of MP_Gateway_Simplify::order_confirmation_email() should be compatible with MP_Gateway_API::order_confirmation_email($msg, $order) in /var/www/default/wp-content/plugins/marketpress/marketpress.php on line 493

at the top of each page.

Is that anything to worry about?